LibreOffice: AccessibleTextDocumentView Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AccessibleTextDocumentView Service Reference

The accessible view of a text document. More...

Inheritance diagram for AccessibleTextDocumentView:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to any text, table, graphic, embedded object and drawing that is at least partially visible on the screen.
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface describes the graphical representation of a text document view.
interface | ::com::sun::star::accessibility::XAccessibleSelection
| This interface is for selecting the document's children.
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
| This is the interface for listeners.

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object.
boolean | isAccessibleChildSelected ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected.
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected.
void | selectAllAccessibleChildren ()
| Select all children.
long | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected.
XAccessible | getSelectedAccessibleChild ([in] long nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child.
void | deselectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children.
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener.
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener.

## Detailed Description

The accessible view of a text document.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface describes the graphical representation of a text document view.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to any text, table, graphic, embedded object and drawing that is at least partially visible on the screen.

The tree that arises from the children of this object reflects the structure of the document as it is displayed.

- The children returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleChild() all support the interface XAccessible. Calling com::sun::star::accessibility::XAccessible::getAccessibleContext() for these children returns an object that supports one of the following services.

  - com::sun::star::text::AccessibleHeaderFooterView: A child of this kind is returned for every header and footer that is at least partially visible.
  - com::sun::star::text::AccessibleFootnoteView: A child of this kind is returned for every footnote that is at least partially visible.
  - com::sun::star::text::AccessibleEndnoteView: A child of this kind is returned for every endnote that is at least partially visible.
  - com::sun::star::text::AccessibleParagraphView: A child of this kind is returned for every paragraph fragment that is contained in the document body and is at least partially visible. A paragraph fragment is the part of a paragraph that is displayed on a certain page.
  - com::sun::star::table::AccessibleTableView: A child of this kind is returned for every table fragment that is contained in the document body and is at least partially visible. A table fragment is the part of a table that is displayed on a certain page.
  - com::sun::star::text::AccessibleTextFrameView: A child of this kind is returned for every text frame that is at least partially visible. These objects are children of the AccessibleTextDocumentView regardless whether they are bound to a page, a paragraph, a frame, or a character. The only exception are text frames that are bound as character. They are children of the paragraph they are contained in.
  - com::sun::star::text::AccessibleTextGraphicObject: A child of this kind is returned for every graphic that is at least partially visible. These objects are children of the AccessibleTextDocumentView regardless whether they are bound to a page, paragraph, a frame or a character. The only exception are text frames that are bound as character. They are children of the paragraph they are contained in.
  - com::sun::star::text::AccessibleTextEmbeddedObject: A child of this kind is returned for every embedded object that is at least partially visible. These objects are children of the AccessibleTextDocumentView regardless whether they are bound to a page, a paragraph, a frame, or a character. They are children of the paragraph they are contained in.
  - com::sun::star::drawing::AccessibleShape: A child of this kind (or a derived interface) is returned for every shape that is at least partially visible. These objects are children of the AccessibleTextDocumentView regardless whether they are bound to a page, a paragraph, a frame or a character.

  The following rules apply to the children order:

  - The logical order of paragraph and table fragments is never changed.
  - Headers appear immediately before the first paragraph or table fragment of the header's page.
  - Footnotes appear immediately after the last paragraph or table fragment of the footnote's page. The logical order of footnotes isn't changed.
  - Endnotes appear immediately after the last footnote of the endnote's page or after the last paragraph or table fragment of this page if there are no footnotes. The logical order of endnotes isn't changed.
  - Footers appear immediately after the last endnote, footnote, paragraph or table fragment of the footer's page.
  - Text frames, graphics, embedded objects and shapes that are painted in the background appear before any other children. Their order reflects the z order.
  - Text frames, graphics, embedded objects and shapes that are painted in the foreground appear behind any other children. Their order reflects the z order, with the exception of controls that appear really last, but also keep the z order.
- The role is com::sun::star::accessibility::AccessibleRole::DOCUMENT_TEXT.
- The name is "document view" (or the equivalent term in application's language).
- The description also is "document view" (or the equivalent term in application's language).
- There are no relation sets.
- The following states might be contained in the state set returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleStateSet():
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC (indicates that the document window has been closed)
  - com::sun::star::accessibility::AccessibleStateType::EDITABLE
  - com::sun::star::accessibility::AccessibleStateType::ENABLED (always contained)
  - com::sun::star::accessibility::AccessibleStateType::MULTI_SELECTABLE (always contained)
  - com::sun::star::accessibility::AccessibleStateType::OPAQUE (always contained)
  - com::sun::star::accessibility::AccessibleStateType::SHOWING
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE
- Depending of the application's region setting, the locale is the western, Asian or complex default language of the document.

## ◆ ::com::sun::star::accessibility::XAccessibleEventBroadcaster

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

This is the interface for listeners.

## ◆ ::com::sun::star::accessibility::XAccessibleSelection

interface ::com::sun::star::accessibility::XAccessibleSelection

This interface is for selecting the document's children.

Selectable are any children with the exception of headers, footers, footnotes and endnotes, where only the grandchildren might be selectable.

The documentation for this service was generated from the following file:

- com/sun/star/text/AccessibleTextDocumentView.idl